sc::RenderedPolygons(3)

NAME
sc::RenderedPolygons -

SYNOPSIS

Inherits sc::RenderedObject.

  Public Types
enum Coloring { None, Vertex }

  Public Member Functions
RenderedPolygons (const Ref< KeyVal > &)
void initialize (int nvertex, int nface, RenderedPolygons::Coloring c=RenderedPolygons::None)
void set_vertex (int, double x, double y, double z)
void set_vertex_rgb (int, double r, double g, double b)
void set_vertex_color (int i, const Color &c)
void set_face (int iface, int v1, int v2, int v3)
void set_face (int iface, int v1, int v2, int v3, int v4)
int nvertex () const
int nface () const
int nvertex_in_face (int iface) const
const double * vertex (int i) const
double vertex (int i, int j) const
int face (int i, int j) const
double vertex_rgb (int i, int j) const
int have_vertex_rgb () const

  Protected Member Functions
void render (const Ref< Render > &)

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.